﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjectSession.Entities.Enums;

namespace ProjectSession.Entities;

public class AddMark
{
    public int Id { get; private set; }
    public int StudentId { get; private set; }
    public int GroupId { get; private set; }
    public int DisciplineId { get; private set; }
    public Mark? Mark { get; private set; } // Оставляем тип Mark
    public DateTime Date { get; private set; }

    public static AddMark CreateOperation(int id, int studentId, int groupId, int disciplineId, Mark mark)
    {
        return new AddMark
        {
            Id = id,
            StudentId = studentId,
            GroupId = groupId,
            DisciplineId = disciplineId,
            Mark = mark, // Если `Mark` имеет значение по умолчанию, его можно обработать
            Date = DateTime.Now
        };
    }
}
