﻿using Microsoft.VisualBasic.Devices;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjectSession.Entities.Enums;

namespace ProjectSession.Entities;

public class Discipline
{
    public int ID { get; private set; }
    public string Name { get; private set; } = string.Empty;
    public string Description { get; private set; } = string.Empty;
    public Course Courses { get; private set; }

    public static Discipline Create(int id, string name, string description, Course courses)
    {
        return new Discipline
        {
            ID = id,
            Name = name,
            Description = description,
            Courses = courses
        };
    }
}
