﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectSession.Entities;

public class Teacher
{
    public int ID { get; private set; }
    public string Surname { get; private set; } = string.Empty;
    public string Name { get; private set; } = string.Empty;
    public string MiddleName { get; private set; } = string.Empty;
    public int DisciplineID { get; private set; }

    public static Teacher Create(int id, string surname, string name, string middleName, int disciplineID)
    {
        return new Teacher
        {
            ID = id,
            Surname = surname,
            Name = name,
            MiddleName = middleName,
            DisciplineID = disciplineID
        };
    }
}
