﻿using ProjectSession.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectSession.Repositories;

public interface IDisciplineRepository
{
    IEnumerable<Discipline> GetAllDisciplines();
    Discipline GetDisciplineById(int id);
    void AddDiscipline(Discipline discipline);
    void UpdateDiscipline(Discipline discipline);
    void DeleteDiscipline(int id);
}
