﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjectSession.Entities.Enums;

namespace ProjectSession.Entities;

public class Group
{
    public int ID { get; private set; }
    public string Name { get; private set; } = string.Empty;
    public GroupType Type { get; private set; }

    public static Group Create(int id, string name, GroupType type)
    {
        return new Group
        {
            ID = id,
            Name = name,
            Type = type
        };
    }
}
