﻿using ProjectSession.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectSession.Repositories;

public interface IAddMarkRepository
{
    void CreateMark(AddMark addMark);
    void UpdateMark(AddMark addMark);
    void DeleteMark(int id);
    AddMark GetMarkById(int id);
    IEnumerable<AddMark> GetAllMarks();
}
