﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjectSession.Entities;

namespace ProjectSession.Repositories;

public interface IGroupRepository
{
    IEnumerable<Group> GetAllGroups();
    Group GetGroupById(int id);
    void AddGroup(Group group);
    void UpdateGroup(Group group);
    void DeleteGroup(int id);
}
